Skip to main content
POST
/
contracts
/
{id}
/
schedules
/
{schedule_id}
/
transport-chains
Create Transport Chain
curl --request POST \
  --url https://v1.api.flux-os.com/contracts/{id}/schedules/{schedule_id}/transport-chains \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --header 'x-user-id: <api-key>' \
  --data '{}'
{
  "data": {
    "id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "legs": [
      {
        "position": 123,
        "chain": "<unknown>",
        "volume": 123,
        "id": "<string>",
        "source_well": {
          "id": "<string>",
          "name": null
        },
        "is_custody_transfer": false,
        "is_chain_source": false,
        "is_chain_destination": false,
        "fob": false,
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      }
    ]
  }
}

Authorizations

x-api-key
string
header
required
x-user-id
string
header
required

Path Parameters

id
integer
required

The contract ID.

Query Parameters

schedule_id
integer
required

The schedule ID.

Body

application/json

The body is of type object.

Response

Transport chain successfully created.

data
object